Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003065 [JEDI VCL] 00 JVCL Components minor always 2005-06-30 10:10 2005-11-26 04:54
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003065: TJvValidateEdit changed to work with large integers
Description Hi all,

TJvValidateEdit didn't work with large integers in some cases (mostly when HEX chosen). Attached to the issue you'll find JvValidateEdit.pas which I modified to work with those.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvValidateEdit.pas [^] (34,993 bytes) 2005-06-30 10:10

- Relationships
parent of 0003218resolvedobones JvValidateEdit, 64bit integer support added 

-  Notes
(0007907)
obones (administrator)
2005-08-31 06:51

This is based on a very old version of JvValidateEdit.pas, please create a diff file and upload it.
(0008040)
elahn (developer)
2005-10-18 10:39
edited on: 2005-10-18 12:48

The changes proposed amount to replacing Integer with Int64. (Btw, it wasn't me that submitted this.)

(0008041)
elahn (developer)
2005-10-18 10:54

The other way to do this would be to add a dfInt64 DisplayFormat and an AsInt64 property. Of course, either solution requires IntToBase and BaseToInt to be modified for Int64.
(0008161)
obones (administrator)
2005-11-26 04:54

The int64 mods are now in CVS

- Issue History
Date Modified Username Field Change
2005-06-30 10:10 anonymous New Issue
2005-06-30 10:10 anonymous File Added: JvValidateEdit.pas
2005-08-31 06:51 obones Note Added: 0007907
2005-08-31 06:51 obones Status new => feedback
2005-09-08 20:13 elahn Issue Monitored: elahn
2005-10-18 10:39 elahn Note Added: 0008040
2005-10-18 10:54 elahn Note Added: 0008041
2005-10-18 12:48 elahn Note Edited: 0008040
2005-11-22 09:26 obones Relationship added parent of 0003218
2005-11-26 04:54 obones Status feedback => resolved
2005-11-26 04:54 obones Resolution open => fixed
2005-11-26 04:54 obones Assigned To => obones
2005-11-26 04:54 obones Note Added: 0008161
2005-12-02 19:08 elahn Issue End Monitor: elahn


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker